Bug 813480 - [abrt] telepathy-butterfly-0.5.15-4.fc16: service.py:571:add_to_connection:KeyError: "Can't register the object-path handler for '/org/freedesktop/Telepathy/Connection/butterfly/msn/melendez_5fhugo_40hotmail_2ecom/TextChannel1': there is already a handler
[abrt] telepathy-butterfly-0.5.15-4.fc16: service.py:571:add_to_connection:Ke...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:4d9289da25fbdceaf6c2cf89391...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 14:55 EDT by Hugo Melendez
Modified: 2013-02-13 05:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 05:47:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hugo Melendez 2012-04-17 14:55:26 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.3.1-5.fc16.x86_64
reason:         service.py:571:add_to_connection:KeyError: "Can't register the object-path handler for '/org/freedesktop/Telepathy/Connection/butterfly/msn/melendez_5fhugo_40hotmail_2ecom/TextChannel1': there is already a handler"
time:           Tue 17 Apr 2012 03:53:11 PM ART
username:       hmelendez

backtrace:
:service.py:571:add_to_connection:KeyError: "Can't register the object-path handler for '/org/freedesktop/Telepathy/Connection/butterfly/msn/melendez_5fhugo_40hotmail_2ecom/TextChannel1': there is already a handler"
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 485, in handler_created
:    if self._dispatch("on_invite_conversation", handler) == 0:
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 432, in on_invite_conversation
:    signal=True, conversation=conversation)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/channelmanager.py", line 125, in channel_for_props
:    return self.create_channel_for_props(props, signal, **args)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/channelmanager.py", line 110, in create_channel_for_props
:    props, **args)
:  File "/usr/lib/python2.7/site-packages/butterfly/channel_manager.py", line 119, in _get_text_channel
:    object_path=path)
:  File "/usr/lib/python2.7/site-packages/butterfly/channel/im.py", line 40, in __init__
:    ButterflyTextChannel.__init__(self, conn, manager, conversation, props, object_path)
:  File "/usr/lib/python2.7/site-packages/butterfly/channel/text.py", line 58, in __init__
:    object_path=object_path)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/channel.py", line 230, in __init__
:    object_path=object_path)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/channel.py", line 63, in __init__
:    _Channel.__init__(self, self._conn._name, object_path)
:  File "/usr/lib/python2.7/site-packages/dbus/service.py", line 480, in __init__
:    self.add_to_connection(conn, object_path)
:  File "/usr/lib/python2.7/site-packages/dbus/service.py", line 571, in add_to_connection
:    self._fallback)
:KeyError: "Can't register the object-path handler for '/org/freedesktop/Telepathy/Connection/butterfly/msn/melendez_5fhugo_40hotmail_2ecom/TextChannel1': there is already a handler"
:
:Local variables in innermost frame:
:path: '/org/freedesktop/Telepathy/Connection/butterfly/msn/melendez_5fhugo_40hotmail_2ecom/TextChannel1'
:connection: <dbus._dbus.SessionBus (session) at 0x1d3ebf0>
:self: <butterfly.channel.im.ButterflyImChannel at 0x21991d0>

smolt_data:
:
:
:General
:=================================
:UUID: de1a90ea-89fd-4370-8448-6a23e1202c98
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5054.24
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 540  @ 2.53GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2534
:System Memory: 3753
:System Swap: 4095
:Vendor: LENOVO
:System: 2537CS4 ThinkPad T410
:Form factor: Notebook
:Kernel: 3.3.1-5.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4480:59426:6058:8499) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(4480:57904:6058:8500) pci, None, BASE, Memory Stick Host Controller
:(4480:59442:6058:8502) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:11362:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:8595) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:6058:8598) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:8598) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:8551) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:6058:8552) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15111:6058:8550) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:8592) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:6058:8531) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:9288:6058:8549) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:70:6058:8538) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:8542) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15207:6058:8546) pci, serial, 16550_SERIAL, 5 Series/3400 Series Chipset KT Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/luks-285d99c8-f32e-4e28-accf-fcd20ac513eb / ext4 4096 4096 3828291 1165352 973276 960992 712268 712268
:/dev/sda2 /boot ext4 1024 1024 508745 409025 383425 128016 127743 127743
:/dev/mapper/luks-1cd0e09a-5b88-4c94-9e44-bbbbbd07fbc4 WITHHELD ext4 4096 4096 113106935 97128175 91466710 28311552 28029990 28029990
:
Comment 1 Fedora End Of Life 2013-01-16 06:26:59 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 05:47:16 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.